ompi/group/group.h File Reference.TH "ompi/group/group.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/group/group.h \- Infrastructure for MPI group support. 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'mpi.h'\fP
.br
\fC#include 'class/ompi_pointer_array.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOMPI_GROUP_ISFREED\fP   0x00000001"
.br
.ti -1c
.RI "#define \fBOMPI_GROUP_INTRINSIC\fP   0x00000002"
.br
.ti -1c
.RI "#define \fBOMPI_GROUP_IS_INTRINSIC\fP(_group)   ((_group)->grp_flags&OMPI_GROUP_INTRINSIC)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBompi_group_t\fP \fBompi_group_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBompi_group_t\fP)"
.br
.ti -1c
.RI "\fBompi_group_t\fP * \fBompi_group_allocate\fP (int group_size)"
.br
.RI "\fIAllocate a new group structure. \fP"
.ti -1c
.RI "void \fBompi_group_increment_proc_count\fP (\fBompi_group_t\fP *group)"
.br
.RI "\fIIncrement the reference count of the proc structures. \fP"
.ti -1c
.RI "void \fBompi_group_decrement_proc_count\fP (\fBompi_group_t\fP *group)"
.br
.RI "\fIDecrement the reference count of the proc structures. \fP"
.ti -1c
.RI "int \fBompi_group_init\fP (void)"
.br
.RI "\fIInitialize OMPI group infrastructure. \fP"
.ti -1c
.RI "int \fBompi_group_finalize\fP (void)"
.br
.RI "\fIClean up OMPI group infrastructure. \fP"
.ti -1c
.RI "static int \fBompi_group_size\fP (\fBompi_group_t\fP *group)"
.br
.RI "\fIGet group size. \fP"
.ti -1c
.RI "static int \fBompi_group_rank\fP (\fBompi_group_t\fP *group)"
.br
.RI "\fIGet group rank. \fP"
.ti -1c
.RI "void \fBompi_set_group_rank\fP (\fBompi_group_t\fP *group, struct ompi_proc_t *proc_pointer)"
.br
.RI "\fISet group rank in the input group structure. \fP"
.ti -1c
.RI "int \fBompi_group_translate_ranks\fP (\fBompi_group_t\fP *group1, int n_ranks, int *ranks1, \fBompi_group_t\fP *group2, int *ranks2)"
.br
.RI "\fIAbstracting MPI_Group_translate_ranks to an ompi function for internal use. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC struct \fBompi_pointer_array_t\fP * \fBompi_group_f_to_c_table\fP"
.br
.RI "\fITable for Fortran <-> C group handle conversion. \fP"
.ti -1c
.RI "OMPI_DECLSPEC \fBompi_group_t\fP \fBompi_mpi_group_null\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Infrastructure for MPI group support. 


.SH "Function Documentation"
.PP 
.SS "\fBompi_group_t\fP* ompi_group_allocate (int group_size)"
.PP
Allocate a new group structure. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup_size\fP Number of MPI processes in the group
.RE
.PP
\fBReturns:\fP
.RS 4
Pointer to new group structure 
.RE
.PP

.SS "void ompi_group_decrement_proc_count (\fBompi_group_t\fP * group)"
.PP
Decrement the reference count of the proc structures. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup\fP Pointer to \fBompi_group_t\fP structute (IN) 
.RE
.PP

.SS "int ompi_group_finalize (void)"
.PP
Clean up OMPI group infrastructure. 
.PP
\fBReturns:\fP
.RS 4
Error code 
.RE
.PP

.SS "void ompi_group_increment_proc_count (\fBompi_group_t\fP * group)"
.PP
Increment the reference count of the proc structures. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup\fP Pointer to \fBompi_group_t\fP structute (IN) 
.RE
.PP

.SS "int ompi_group_init (void)"
.PP
Initialize OMPI group infrastructure. 
.PP
\fBReturns:\fP
.RS 4
Error code 
.RE
.PP

.SS "static int ompi_group_rank (\fBompi_group_t\fP * group)\fC [inline, static]\fP"
.PP
Get group rank. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup\fP Pointer to \fBompi_group_t\fP structure (IN)
.RE
.PP
\fBReturns:\fP
.RS 4
Group rank 
.RE
.PP

.SS "static int ompi_group_size (\fBompi_group_t\fP * group)\fC [inline, static]\fP"
.PP
Get group size. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup\fP Pointer to \fBompi_group_t\fP structute (IN)
.RE
.PP
\fBReturns:\fP
.RS 4
Group size 
.RE
.PP

.SS "void ompi_set_group_rank (\fBompi_group_t\fP * group, struct ompi_proc_t * proc_pointer)"
.PP
Set group rank in the input group structure. 
.PP
\fBParameters:\fP
.RS 4
\fIgroup\fP Group Pointer to \fBompi_group_t\fP structure (IN) 
.br
\fIproc_pointer\fP Pointer to ompi_proc_t structure for process. MPI_PROC_NULL may be used to indicate proc not in group
.RE
.PP
\fBReturns:\fP
.RS 4
Error code 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
